ProductList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ProductList

    java.lang.Object
      com.fenalco.entities.ProductList

    public class ProductList

extends java.lang.Object

Esta clase representa el catálogo de productos estándar que se utiliza dentro del sistema.

Author:
  Néstor Romero León

Field Summary
`private java.util.Vector` | `products` Este `Hashtable` agrupa objetos del tipo `Product` que representan los productos del catálogo estándar de productos.

Constructor Summary
`ProductList()` Constructor por omisión

Method Summary
`void` | `addElement(java.lang.Object id)`
`java.util.Vector` | `getProducts()` Consultor para el atributo products.
`java.util.Vector` | `loadIds(boolean esNombre, java.lang.String nombre, int proveedor, java.lang.String categoria, int orden, SupplierList proveedores)` Carga la lista de los id's con base en los criterios de búsqueda recibidos
`void` | `setProducts(java.util.Vector products)` Modificador para el atributo products.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### products

    private java.util.Vector products

  Este `Hashtable` agrupa objetos del tipo `Product` que representan los productos del catálogo estándar de productos. Esta constituido así: key: Identificador del producto `productId` value: Objeto del tipo `ProductSupplier`

Constructor Detail

### ProductList

    public ProductList()

  Constructor por omisión

Method Detail

### loadIds

    public java.util.Vector loadIds(boolean esNombre,
                                    java.lang.String nombre,
                                    int proveedor,
                                    java.lang.String categoria,
                                    int orden,
                                    SupplierList proveedores)

  Carga la lista de los id's con base en los criterios de búsqueda recibidos

### addElement

    public void addElement(java.lang.Object id)

### getProducts

    public java.util.Vector getProducts()

  Consultor para el atributo products.

  Returns:
    Valor del atributo products.

### setProducts

    public void setProducts(java.util.Vector products)

  Modificador para el atributo products.

  Parameters:
    `products` - Nuevo valor del atributo products.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD